## block-device-id 0.1.1

=== examples/Makefile ===
# Makefile for libblockdeviceid example
#
# Build with: make
# Clean with: make clean

CC ?= gcc
CFLAGS ?= -Wall -Wextra -O2
LDFLAGS ?=
LIBS = -lblockdeviceid

PROG = get_device_id

all: $(PROG)

$(PROG): get_device_id.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

clean:
	rm -f $(PROG)

.PHONY: all clean
