## block-device-id 0.1.0

=== debian/changelog ===
block-device-id (0.1.0) trixie; urgency=medium

  * Initial release

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Tue, 27 Jan 2026 15:35:31 +0000
