=== debian/control ===
Source: block-device-id
Section: libs
Priority: optional
Maintainer: Richard Oliver <richard.oliver@raspberrypi.com>
Build-Depends: debhelper-compat (= 13),
               dh-cargo (>= 25),
               cbindgen,
               librust-tempfile-dev,
               librust-libc-dev,
               librust-nix-dev (>= 0.29),
               librust-clap-dev (>= 4),
               librust-clap-mangen-dev
Standards-Version: 4.7.2
Homepage: https://github.com/raspberrypi/block-device-id
Vcs-Git: https://github.com/raspberrypi/block-device-id.git
Vcs-Browser: https://github.com/raspberrypi/block-device-id
Rules-Requires-Root: no

Package: librust-block-device-id-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         librust-libc-dev,
         librust-nix-dev (>= 0.29)
Provides: librust-block-device-id+default-dev (= ${binary:Version})
Description: Retrieve innate unique identifiers from block devices - Rust source
 A Rust library to identify block devices by their hardware-innate
 identifiers, such as MMC CID or NVMe controller serial numbers.
 .
 This package contains the Rust source code for use by other Rust packages.

Package: block-device-id
Architecture: any
Section: admin
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Retrieve innate unique identifiers from block devices - CLI
 A command-line tool to retrieve hardware-innate identifiers from block
 devices, such as MMC CID or NVMe controller serial numbers.
 .
 These identifiers are suitable for use in cryptographic key derivation
 or device-specific configuration.

Package: libblockdeviceid1
Architecture: any
Multi-Arch: same
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Retrieve innate unique identifiers from block devices - shared library
 A C-compatible shared library to identify block devices by their
 hardware-innate identifiers, such as MMC CID or NVMe controller
 serial numbers.
 .
 This package contains the shared library.

Package: libblockdeviceid-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libblockdeviceid1 (= ${binary:Version})
Description: Retrieve innate unique identifiers from block devices - development files
 A C-compatible library to identify block devices by their hardware-innate
 identifiers, such as MMC CID or NVMe controller serial numbers.
 .
 This package contains the C header files for development.
