## block-device-id 0.1.1

=== debian/changelog ===
block-device-id (0.1.1) trixie; urgency=medium

  * Propagate deps to librust- package

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Wed, 28 Jan 2026 15:52:27 +0000
