=== debian/control ===
--- 
+++ 
@@ -20,8 +20,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
+         librust-tempfile-dev,
          librust-libc-dev,
-         librust-nix-dev (>= 0.29)
+         librust-nix-dev (>= 0.29),
+         librust-clap-dev (>= 4),
+         librust-clap-mangen-dev
 Provides: librust-block-device-id+default-dev (= ${binary:Version})
 Description: Retrieve innate unique identifiers from block devices - Rust source
  A Rust library to identify block devices by their hardware-innate
